import { MD3LightTheme, MD3DarkTheme } from 'react-native-paper';

export const themes = {
    purple: {
        light: MD3LightTheme,
        dark: MD3DarkTheme,
    },
    red: {
        light: {
            ...MD3LightTheme,
            colors: {
                ...MD3LightTheme.colors,
                primary: '#7F0000',
                primaryContainer: '#FF5252',
                inversePrimary: '#D32F2F',
            },
        },
        dark: {
            ...MD3DarkTheme,
            colors: {
                ...MD3DarkTheme.colors,
                primary: '#FF5252',
                primaryContainer: '#7F0000',
                inversePrimary: '#D32F2F',
            },
        },
    },
    blue: {
        light: {
            ...MD3LightTheme,
            colors: {
                ...MD3LightTheme.colors,
                primary: '#0D47A1',
                primaryContainer: '#64B5F6',
                inversePrimary: '#1976D2',
            },
        },
        dark: {
            ...MD3DarkTheme,
            colors: {
                ...MD3DarkTheme.colors,
                primary: '#64B5F6',
                primaryContainer: '#0D47A1',
                inversePrimary: '#1976D2',
            },
        },
    },
    yellow: {
        light: {
            ...MD3LightTheme,
            colors: {
                ...MD3LightTheme.colors,
                primary: '#efb100',
                primaryContainer: '#FFEB8F',
                inversePrimary: '#fbc338',
            },
        },
        dark: {
            ...MD3DarkTheme,
            colors: {
                ...MD3DarkTheme.colors,
                primary: '#FFEB8F',
                primaryContainer: '#EFB100',
                inversePrimary: '#FBC02D',
            },
        },
    },
    green: {
        light: {
            ...MD3LightTheme,
            colors: {
                ...MD3LightTheme.colors,
                primary: '#004D00',
                primaryContainer: '#66BB6A',
                inversePrimary: '#388E3C',
            },
        },
        dark: {
            ...MD3DarkTheme,
            colors: {
                ...MD3DarkTheme.colors,
                primary: '#66BB6A',
                primaryContainer: '#004D00',
                inversePrimary: '#388E3C',
            },
        },
    },
    orange: {
        light: {
            ...MD3LightTheme,
            colors: {
                ...MD3LightTheme.colors,
                primary: '#F57C00',
                primaryContainer: '#FFCC80',
                inversePrimary: '#FFAB40',
            },
        },
        dark: {
            ...MD3DarkTheme,
            colors: {
                ...MD3DarkTheme.colors,
                primary: '#FFCC80',
                primaryContainer: '#F57C00',
                inversePrimary: '#FFAB40',
            },
        },
    }
};
